#ifndef HDC1080_PLATFORM_SPECIFIC_H
#define HDC1080_PLATFORM_SPECIFIC_H

#include "HDC1080.h"

#include <stdint.h>
#include <stddef.h>

#define HDC1080_GCLK_GEN_NUM	2

#define HDC1080_SERCOM			SERCOM2
#define HDC1080_SERCOM_PCLK_NUM	23
#define HDC1080_SERCOM_EN_REG	REG_MCLK_APBBMASK
#define HDC1080_SERCOM_EN_BIT	MCLK_APBBMASK_SERCOM2

#define HDC1080_SDA_GROUP		0
#define HDC1080_SDA_PIN			12
#define HDC1080_SDA_PMUX		0x02

#define HDC1080_SCL_GROUP		0
#define HDC1080_SCL_PIN			13
#define HDC1080_SCL_PMUX		0x02

HDC1080_Status HDC1080_PlatformSpecific_Init();
HDC1080_Status HDC1080_PlatformSpecific_Deinit();
HDC1080_Status HDC1080_PlatformSpecific_Write(uint8_t registerAddress, uint8_t* buffer, size_t bufferSize);
HDC1080_Status HDC1080_PlatformSpecific_BeginRead(uint8_t registerAddress);
HDC1080_Status HDC1080_PlatformSpecific_EndRead(uint8_t* buffer, size_t bufferSize);

#endif